#ifndef FRAME_CPP_INTERFACE__Dimension_HH
#define FRAME_CPP_INTERFACE__Dimension_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 3
#include "framecpp/Version3/Dimension.hh"
#elif FRAME_SPEC_CURRENT == 4
#include "framecpp/Version4/Dimension.hh"
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/Dimension.hh"
#elif FRAME_SPEC_CURRENT == 7
#include "framecpp/Version7/Dimension.hh"
#elif FRAME_SPEC_CURRENT == 8
#include "framecpp/Version8/Dimension.hh"
#else
#error Unsupported Frame specification
#endif

namespace FrameCPP
{
  typedef Version::Dimension Dimension;
}

#endif /* FRAME_CPP_INTERFACE__Dimension_HH */
